/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2008.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: include/sgx/audio/devicechannel.hpp

*/

#ifndef SGX_AUDIO_DEVICE_CHANNEL_HPP
#define SGX_AUDIO_DEVICE_CHANNEL_HPP	1

class CDeviceChannel
{
public:
	virtual		void	pause();
	virtual		void	resume();
	virtual		void	stop();
	virtual		void	update(const tREAL32 telaps);
	virtual		tBOOL	hasFinished() const;
};

#endif /* SGX_AUDIO_DEVICE_CHANNEL_HPP */


